org.eclipse.microprofile.metrics.tck.util

## Class MetricsUtil

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.util.MetricsUtil

    public final class MetricsUtil
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `absoluteMetricName(Class<?> clazz, String name)`
`static String` `absoluteMetricName(Class<?> clazz, String metric, String name)`
`static Set<String>` `absoluteMetricNames(Class<?> clazz, String... names)`
`static Set<String>` `absoluteMetricNames(Class<?> clazz, String[] array, String... names)`
`static Set<String>` `absoluteMetricNames(Class<?> clazz, String prefix, String... names)`
`static Set<String>` `absoluteMetricNames(Class<?> clazz, String prefix, String[] array, String... names)`
`static Set<MetricID>` `createMetricIDs(Set<String> metricNames)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### absoluteMetricNames

    public static Set<String> absoluteMetricNames(Class<?> clazz,
                                                  String... names)

#### absoluteMetricNames

    public static Set<String> absoluteMetricNames(Class<?> clazz,
                                                  String prefix,
                                                  String... names)

#### absoluteMetricNames

    public static Set<String> absoluteMetricNames(Class<?> clazz,
                                                  String[] array,
                                                  String... names)

#### absoluteMetricNames

    public static Set<String> absoluteMetricNames(Class<?> clazz,
                                                  String prefix,
                                                  String[] array,
                                                  String... names)

#### absoluteMetricName

    public static String absoluteMetricName(Class<?> clazz,
                                            String name)

#### absoluteMetricName

    public static String absoluteMetricName(Class<?> clazz,
                                            String metric,
                                            String name)

#### createMetricIDs

    public static Set<MetricID> createMetricIDs(Set<String> metricNames)